
/****************************************************************************
**		DISCLAIMER
**
**	Novell, Inc. makes no representations or warranties with respect to
**	any NetWare software, and specifically disclaims any express or
**	implied warranties of merchantability, title, or fitness for a
**	particular purpose.
**
**	Distribution of any NetWare software is forbidden without the
**	express written consent of Novell, Inc.  Further, Novell reserves
**	the right to discontinue distribution of any NetWare software.
**
**	Novell is not responsible for lost profits or revenue, loss of use
**	of the software, loss of data, costs of re-creating lost data, the
**	cost of any substitute equipment or program, or claims by any party
**	other than you.  Novell strongly recommends a backup be made before
**	any software is installed.   Technical support for this software
**	may be provided at the discretion of Novell.
****************************************************************************
#include <stdio.h>
#include <string.h>

#include <nwcalls.h>

void main (int argc, char *argv[])
{
	NWCCODE 			ccode;
	NWRIGHTS_MASK	mask;
	NWCONN_HANDLE	conn;
	NWDIR_HANDLE	dirHandle;
	NWRIGHTS_MASK	rights;

	char 				oldPath[1024], newPath[1024];

	if (argc != 2)
	{
		printf ("Usage:  EFFRIGHT filename\n");
		return;
	}

	ccode = NWCallsInit (NULL, NULL);
	if (ccode) return;

	strcpy (oldPath, strupr (argv[1]));

	ccode = NWParseNetWarePath (oldPath,
		&conn,
		&dirHandle,
		newPath);

	if (ccode)
	{
		printf ("NWParseNetWarePath returned %X\n", ccode);
		return;
	}

	ccode = NWGetEffectiveRights (conn,
		dirHandle,
		newPath,
		&rights);

	if (ccode)
	{
		printf ("NWGetEffectiveRights returned %X\n", ccode);
		return;
	}

	if (TR_READ & rights) printf ("R");
	if (TR_WRITE & rights) printf ("W");
	if (TR_CREATE & rights) printf ("C");
	if (TR_DELETE & rights) printf ("D");
	if (TR_OWNERSHIP & rights) printf ("O");
	if (TR_FILE_SCAN & rights) printf ("F");
	if (TR_MODIFY & rights) printf ("M");
	printf ("  %s\n", newPath);
}